Front Page News

General news and announcements


Page: 1 2 3 4 ()
DiscussionStarted byRepliesLast post
Book Fair Days Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 16 Nov 2018, 9:26 AM
Remembrance Day At Lochside Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 9 Nov 2018, 2:54 PM
Reminder of Early Dismissal Nov. 6, 7 & 8 happy lizard Kitlin Louie 0 Kitlin Louie
Mon, 5 Nov 2018, 12:27 PM
Happy Halloween to All Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Wed, 31 Oct 2018, 9:09 PM
Generous Hearts & Gratitude Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 26 Oct 2018, 2:13 PM
FREE Victoria Symphony Tickets this weekend happy lizard Kitlin Louie 0 Kitlin Louie
Fri, 26 Oct 2018, 10:10 AM
Important Announcement from Principal Moser happy lizard Kitlin Louie 0 Kitlin Louie
Wed, 24 Oct 2018, 3:41 PM
BOO! The 10th Annual "Screamfest" is coming to Claremont! happy lizard Kitlin Louie 0 Kitlin Louie
Tue, 23 Oct 2018, 11:26 AM
Early Halloween Fun! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Thu, 18 Oct 2018, 8:50 PM
You are Invited to "Books for Breakfast" at Bruce Hutchison Library happy lizard Kitlin Louie 0 Kitlin Louie
Tue, 16 Oct 2018, 4:18 PM
Walking Wheeling To School Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Wed, 3 Oct 2018, 1:08 PM
Orange Shirt Day Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 28 Sep 2018, 8:18 AM
Orange Shirt Day Thursday, Sept. 27th and Photo Day Friday, Sept. 28th happy lizard Kitlin Louie 0 Kitlin Louie
Wed, 26 Sep 2018, 10:27 AM
Great Terry Fox Run Today Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 21 Sep 2018, 3:54 PM
Welcome Back BBQ is still on! happy lizard Kitlin Louie 0 Kitlin Louie
Thu, 20 Sep 2018, 3:00 PM
Message from the Superintendent: Dave Eberwein Picture of Erika Moser Erika Moser 0 Erika Moser
Mon, 3 Sep 2018, 12:17 PM
Welcome and Welcome Back Picture of Erika Moser Erika Moser 0 Erika Moser
Mon, 3 Sep 2018, 12:14 PM
Summer: Tips and Best Wishes Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Thu, 5 Jul 2018, 10:25 AM
Lochside's Got Talent!!! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Thu, 21 Jun 2018, 2:11 PM
Courtyard Re-boot! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Sat, 16 Jun 2018, 2:38 PM
Start to the Day - Wild Lochside Style! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Thu, 17 May 2018, 5:02 PM
ROMS Band Performance & BBQ Tuesday, May 29th happy lizard Kitlin Louie 0 Kitlin Louie
Wed, 16 May 2018, 3:28 PM
Thanks Y'all! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 27 Apr 2018, 8:23 AM
Drumming Workshops Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 20 Apr 2018, 4:25 PM
Whole School Photo Day AND Wear a Sports Jersey Day, Thursday, April 12th happy lizard Kitlin Louie 0 Kitlin Louie
Wed, 11 Apr 2018, 10:23 AM
Whole School Photo and Grade 5 Farewell Photos Thursday, April 12th happy lizard Kitlin Louie 0 Kitlin Louie
Mon, 9 Apr 2018, 12:47 PM
Community Budget Meeting happy lizard Kitlin Louie 0 Kitlin Louie
Wed, 4 Apr 2018, 8:42 AM
Welcome Back Everyone Spring 2018 Picture of Erika Moser Erika Moser 0 Erika Moser
Sun, 1 Apr 2018, 5:07 PM
Great Community Day at Lochside Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 16 Mar 2018, 2:48 PM
Reminder Spring Break & School Closure Week happy lizard Kitlin Louie 0 Kitlin Louie
Wed, 14 Mar 2018, 11:08 AM
Hoop Dancing Cultural Week Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Mon, 12 Mar 2018, 6:08 PM
Basketball Jamboree Friday March, 9th Picture of Erika Moser Erika Moser 0 Erika Moser
Wed, 7 Mar 2018, 12:39 PM
Early Dismissal Tomorrow 1:46 Picture of Erika Moser Erika Moser 0 Erika Moser
Wed, 7 Mar 2018, 7:54 AM
Acts of Kindness at Lochside Picture of Erika Moser Erika Moser 0 Erika Moser
Wed, 28 Feb 2018, 4:17 PM
Go Canada! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 9 Feb 2018, 1:21 PM
Community Notice happy lizard Kitlin Louie 0 Kitlin Louie
Tue, 6 Feb 2018, 12:05 PM
Kindness Project Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Mon, 5 Feb 2018, 5:03 PM
Healthy Start Today! Grizzlies Visit:) Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Tue, 30 Jan 2018, 5:28 PM
Family Literacy Day, Friday, Jan. 26th happy lizard Kitlin Louie 0 Kitlin Louie
Thu, 25 Jan 2018, 10:26 AM
White Hatter Presentation - Parent Education Night happy lizard Kitlin Louie 0 Kitlin Louie
Fri, 12 Jan 2018, 2:19 PM
Happy Holiday and Happy New Year from the Lochside Staff Picture of Erika Moser Erika Moser 0 Erika Moser
Fri, 22 Dec 2017, 1:20 PM
Bottle Drive Blitz for Camp Thunderbird happy lizard Kitlin Louie 0 Kitlin Louie
Mon, 18 Dec 2017, 3:34 PM
Parking Lot Safety happy lizard Kitlin Louie 0 Kitlin Louie
Mon, 11 Dec 2017, 11:18 AM
Lochside's Annual Fill the House Food Drive a HUGE Success! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 8 Dec 2017, 4:52 PM
B.C. Training & Education Savings Grant happy lizard Kitlin Louie 0 Kitlin Louie
Tue, 21 Nov 2017, 10:13 AM
Lochside Remembrance Day Assembly Picture of Erika Moser Erika Moser 0 Erika Moser
Fri, 10 Nov 2017, 4:09 PM
Early Dismissal Dates this week happy lizard Kitlin Louie 0 Kitlin Louie
Mon, 6 Nov 2017, 10:23 AM
You are invited to a School Neighbourhood Walkabout! happy lizard Kitlin Louie 0 Kitlin Louie
Thu, 2 Nov 2017, 2:43 PM
Have a fun and safe Halloween! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Tue, 31 Oct 2017, 4:35 PM
West Saanich Road CLOSED FOR PAVING, Friday, October 27, 2017 happy lizard Kitlin Louie 0 Kitlin Louie
Thu, 26 Oct 2017, 10:49 AM
Thank-you to LEPAC for a superb Halloween event! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Thu, 19 Oct 2017, 8:57 PM
Spooky Boogie - Into the Woods Halloween Dance is tonight!!!! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Thu, 19 Oct 2017, 8:12 AM
Into The Woods Halloween Dance Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Wed, 18 Oct 2017, 5:31 PM
Active and Safe Routes to School TRAVEL SURVEY happy lizard Kitlin Louie 0 Kitlin Louie
Mon, 16 Oct 2017, 2:21 PM
Walking and Wheeling to School Week Picture of Erika Moser Erika Moser 0 Erika Moser
Fri, 6 Oct 2017, 9:56 AM
Orange Shirt Day at Lochside Elementary School Picture of Erika Moser Erika Moser 0 Erika Moser
Thu, 28 Sep 2017, 12:52 PM
The Lochside Lizard & the Terry Fox Run Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 22 Sep 2017, 11:22 AM
Bring Your Water Bottles for our BBQ Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Tue, 19 Sep 2017, 3:24 PM
A Welcome Message from Superintendent Eberwein happy lizard Kitlin Louie 0 Kitlin Louie
Fri, 15 Sep 2017, 9:26 AM
Welcome to Lochside School 2017-2018 Picture of Erika Moser Erika Moser 0 Erika Moser
Fri, 1 Sep 2017, 12:54 PM
Learning in Summer - The Summer Side Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Mon, 3 Jul 2017, 3:21 PM
Service Assembly and Final Assembly Picture of Erika Moser Erika Moser 0 Erika Moser
Mon, 26 Jun 2017, 4:27 PM
June Final Newsletter 2017 Picture of Erika Moser Erika Moser 0 Erika Moser
Mon, 26 Jun 2017, 3:34 PM
This week's End-of-Year Assemblies and Events Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Mon, 26 Jun 2017, 9:08 AM
New School Welcome Sign Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Wed, 21 Jun 2017, 6:15 PM
Update on district email Picture of Brock Simmonds Brock Simmonds 0 Brock Simmonds
Mon, 19 Jun 2017, 9:19 AM
NO measles at school happy lizard Kitlin Louie 0 Kitlin Louie
Mon, 5 Jun 2017, 10:17 AM
Internet Safety Message from School Administration happy lizard Kitlin Louie 0 Kitlin Louie
Thu, 1 Jun 2017, 11:01 AM
A Message of Gratitude Picture of Erika Moser Erika Moser 0 Erika Moser
Wed, 31 May 2017, 4:24 PM
Possible case of Measles - NOT CONFIRMED happy lizard Kitlin Louie 0 Kitlin Louie
Tue, 30 May 2017, 7:33 PM
Ell Luncheon = Great Food and Friendship Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Thu, 18 May 2017, 4:43 PM
May 15th letter from Chair, Board of Education happy lizard Kitlin Louie 0 Kitlin Louie
Tue, 16 May 2017, 8:36 PM
Mahalo to our wonderful Lochside Parents! happy lizard Kitlin Louie 0 Kitlin Louie
Fri, 12 May 2017, 11:13 AM
Thank-you to all our families! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Thu, 11 May 2017, 4:52 PM
Thanks to All Parents Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Mon, 8 May 2017, 4:52 PM
Election Day - School being used as Polling Station happy lizard Kitlin Louie 0 Kitlin Louie
Mon, 8 May 2017, 11:51 AM
Parent Volunteers Needed happy lizard Kitlin Louie 0 Kitlin Louie
Thu, 20 Apr 2017, 9:20 AM
New signage in our front parking lot Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Mon, 10 Apr 2017, 10:50 AM
New Date for Whole School & Grade 5 Farewell Photos happy lizard Kitlin Louie 0 Kitlin Louie
Fri, 7 Apr 2017, 12:00 PM
Free to You - Good Used Clothing - One Day Only! Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Thu, 16 Mar 2017, 3:55 PM
Early Dismissal Thursday, March 9th/March 10th Basketball Jamboree happy lizard Kitlin Louie 0 Kitlin Louie
Wed, 8 Mar 2017, 3:16 PM
Parenting & Internet Safety Picture of Joan O'Leary Joan O'Leary 0 Joan O'Leary
Fri, 3 Mar 2017, 10:38 AM
French Cultural Week Picture of Erika Moser Erika Moser 0 Erika Moser
Thu, 2 Mar 2017, 3:59 PM
Upcoming Public Budget Meeting happy lizard Kitlin Louie 0 Kitlin Louie
Tue, 21 Feb 2017, 3:09 PM
Kindness Month at Lochside Picture of Erika Moser Erika Moser 0 Erika Moser
Wed, 15 Feb 2017, 5:43 PM
Urgent Message for Parents Wed. Feb. 8th 11:45 a.m. happy lizard Kitlin Louie 0 Kitlin Louie
Wed, 8 Feb 2017, 11:55 AM
SPORTS CANCELLATIONS TODAY happy lizard Kitlin Louie 0 Kitlin Louie
Wed, 8 Feb 2017, 10:52 AM
Saanich Schools are CLOSED today, Tuesday, Feb. 7th Picture of Erika Moser Erika Moser 0 Erika Moser
Tue, 7 Feb 2017, 6:53 AM
All Schools in School District 63 Saanich are CLOSED Picture of Erika Moser Erika Moser 0 Erika Moser
Mon, 6 Feb 2017, 10:58 AM
Monday, Feb. 6, 2017 School is not in session Picture of Erika Moser Erika Moser 0 Erika Moser
Mon, 6 Feb 2017, 6:20 AM
Chess Club has started Picture of Erika Moser Erika Moser 0 Erika Moser
Thu, 2 Feb 2017, 10:32 AM
Family Literacy Day Jan. 27th happy lizard Kitlin Louie 0 Kitlin Louie
Fri, 27 Jan 2017, 10:12 AM
Join us for Family Literacy Day, Friday Jan. 27th happy lizard Kitlin Louie 0 Kitlin Louie
Mon, 23 Jan 2017, 1:03 PM
Proposed 2017/18 and 2018/19 School Calendars for Public Feedback happy lizard Kitlin Louie 0 Kitlin Louie
Fri, 20 Jan 2017, 3:19 PM
New Teachers to be Hired happy lizard Kitlin Louie 0 Kitlin Louie
Fri, 20 Jan 2017, 10:49 AM
Happy New Year 2017 Picture of Erika Moser Erika Moser 0 Erika Moser
Mon, 9 Jan 2017, 4:20 PM
Farewell Assembly for Mr. Grewal happy lizard Kitlin Louie 0 Kitlin Louie
Wed, 14 Dec 2016, 10:41 AM
School Is Open Today!!! Picture of Joe Grewal Joe Grewal 0 Joe Grewal
Fri, 9 Dec 2016, 8:04 AM
Inclement Weather Picture of Joe Grewal Joe Grewal 0 Joe Grewal
Tue, 6 Dec 2016, 4:26 PM
Winter Concerts Picture of Joe Grewal Joe Grewal 0 Joe Grewal
Sat, 3 Dec 2016, 2:13 PM
Page: 1 2 3 4 ()